const centerLoopFrames = [2, 3, 4, 3, 2, 1, 0 ,1];

function createAnimations() {
  createUpperBodyAnims(clothingOptions[0]);
  createHairAnims(hairstyleOptions[0] + '_front', hairstyleOptions[0] + '_back', hairstyleOptions[0] + '_shadow');
  createNoseAnims();
  createBlindfoldAnims();
  createFootAnims();
  createIdleFootAnims();
  createLaughingAnims();
  createMassageAnims();
  createGaggedAnims();
  createBlinkingAnims();
  createTalkingAnims();
  createBreatheAnims();
  createTransitionAnims();
  createReactionAnims();
  createToolAnims();
}

function generateMoveAnims(key, spritesheet, performUpdate, startFramerate = 10, endFramerate = 30) {
  for (let i = startFramerate; i <= endFramerate; i += 2) {
    if (performUpdate) {
      main.anims.remove(key + '_' + i);
    }
    main.anims.create({
      key: key + '_' + i,
      frames: main.anims.generateFrameNumbers(spritesheet, { frames: centerLoopFrames }),
      frameRate: i,
      repeat: -1
    });
  }
}

function createUpperBodyAnims(spritesheet) {
  generateMoveAnims('upper', spritesheet, false);
}

function createHairAnims(front, back, shadow) {
  generateMoveAnims('hair_front', front, false);
  generateMoveAnims('hair_back', back, false);
  generateMoveAnims('hair_shadow', shadow, false);
}

function createNoseAnims() {
  generateMoveAnims('nose', 'kuri_nose', false);
}

function createBlindfoldAnims() {
  generateMoveAnims('blindfold', 'blindfold', false);
}

function createFootAnims() {
  main.anims.create({
    key: 'tickleLeft',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 0, end: 4 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftFeather',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 5, end: 9 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftBrush',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 10, end: 13 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftToothbrush',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 15, end: 19 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftTied',
    frames: main.anims.generateFrameNumbers('leftFootTied', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'tickleRight',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 0, end: 4 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightFeather',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 5, end: 9 }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightBrush',
    frames: main.anims.generateFrameNumbers('rightFoot', {
      start: 10,
      end: 13,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightToothbrush',
    frames: main.anims.generateFrameNumbers('rightFoot', {
      start: 15,
      end: 19,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightTied',
    frames: main.anims.generateFrameNumbers('rightFootTied', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'scrunchLeft',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 10, end: 14 }),
  });

  main.anims.create({
    key: 'scrunchRight',
    frames: main.anims.generateFrameNumbers('rightFoot', {
      start: 10,
      end: 14,
    }),
  });

  main.anims.create({
    key: 'scrunchLeftTied',
    frames: main.anims.generateFrameNumbers('leftFootTied', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'scrunchRightTied',
    frames: main.anims.generateFrameNumbers('rightFootTied', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'tickleLeftOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 0,
      end: 4,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftFeatherOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 5,
      end: 9,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftBrushOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 10,
      end: 13,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftToothbrushOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 15,
      end: 19,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleLeftTiedOiled',
    frames: main.anims.generateFrameNumbers('leftFootTiedOiled', {frames: centerLoopFrames}),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'scrunchLeftOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 10,
      end: 14,
    }),
  });

  main.anims.create({
    key: 'scrunchLeftTiedOiled',
    frames: main.anims.generateFrameNumbers('leftFootTiedOiled', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'tickleRightOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 0,
      end: 4,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightFeatherOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 5,
      end: 9,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightBrushOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 10,
      end: 13,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightToothbrushOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 15,
      end: 19,
    }),
    frameRate: 10,
    repeat: -1,
    yoyo: true,
  });

  main.anims.create({
    key: 'tickleRightTiedOiled',
    frames: main.anims.generateFrameNumbers('rightFootTiedOiled', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'scrunchRightOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 10,
      end: 14,
    }),
  });

  main.anims.create({
    key: 'scrunchRightTiedOiled',
    frames: main.anims.generateFrameNumbers('rightFootTiedOiled', {
      start: 3,
      end: 3,
    }),
  });
}

function createIdleFootAnims() {
  main.anims.create({
    key: 'leftIdle1',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 0, end: 2 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'rightIdle1',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 0, end: 2 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'leftIdle2',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 5, end: 8 }),
    frameRate: 6,
    yoyo: true,
  });

  main.anims.create({
    key: 'rightIdle2',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 5, end: 8 }),
    frameRate: 6,
    yoyo: true,
  });

  main.anims.create({
    key: 'leftIdle3',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 10, end: 12 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'rightIdle3',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 10, end: 12 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'leftOiledIdle1',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { start: 0, end: 2 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'rightOiledIdle1',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { start: 0, end: 2 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'leftOiledIdle2',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { start: 5, end: 8 }),
    frameRate: 6,
    yoyo: true,
  });

  main.anims.create({
    key: 'rightOiledIdle2',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { start: 5, end: 8 }),
    frameRate: 6,
    yoyo: true,
  });

  main.anims.create({
    key: 'leftOiledIdle3',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { start: 10, end: 12 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'rightOiledIdle3',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { start: 10, end: 12 }),
    frameRate: 6,
    yoyo: true,
    repeat: 1
  });

  main.anims.create({
    key: 'leftToetiedIdle',
    frames: main.anims.generateFrameNumbers('leftFootTied', { frames: centerLoopFrames }),
    frameRate: 8
  });

  main.anims.create({
    key: 'rightToetiedIdle',
    frames: main.anims.generateFrameNumbers('rightFootTied', { frames: centerLoopFrames }),
    frameRate: 8
  });

  main.anims.create({
    key: 'leftToetiedOiledIdle',
    frames: main.anims.generateFrameNumbers('leftFootTiedOiled', { frames: centerLoopFrames }),
    frameRate: 8
  });

  main.anims.create({
    key: 'rightToetiedOiledIdle',
    frames: main.anims.generateFrameNumbers('rightFootTiedOiled', { frames: centerLoopFrames }),
    frameRate: 8
  });

  main.anims.create({
    key: 'tiredLeftIdle',
    frames: main.anims.generateFrameNumbers('leftFoot', { frames: [11, 12, 13, 12, 11]}),
    frameRate: 6
  });

  main.anims.create({
    key: 'tiredRightIdle',
    frames: main.anims.generateFrameNumbers('rightFoot', { frames: [11, 12, 13, 12, 11]}),
    frameRate: 6
  });

  main.anims.create({
    key: 'tiredLeftOiledIdle',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { frames: [11, 12, 13, 12, 11]}),
    frameRate: 6
  });

  main.anims.create({
    key: 'tiredRightOiledIdle',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { frames: [11, 12, 13, 12, 11]}),
    frameRate: 6
  });
}

function createBlinkingAnims() {
  main.anims.create({
    key: 'blink1',
    frames: main.anims.generateFrameNumbers('blink1', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink1c',
    frames: main.anims.generateFrameNumbers('blink1c', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink2',
    frames: main.anims.generateFrameNumbers('blink2', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink2c',
    frames: main.anims.generateFrameNumbers('blink2c', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink3',
    frames: main.anims.generateFrameNumbers('blink3', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink4',
    frames: main.anims.generateFrameNumbers('blink4', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'blink5',
    frames: main.anims.generateFrameNumbers('blink5', { start: 0, end: 3 }),
    yoyo: true,
    frameRate: 20,
  });

  main.anims.create({
    key: 'doubleBlink1',
    frames: main.anims.generateFrameNumbers('blink1c', {frames: [1, 2, 3, 2]}),
    repeat: 1,
    frameRate: 25,
  });

  main.anims.create({
    key: 'doubleBlink2',
    frames: main.anims.generateFrameNumbers('blink4', {frames: [1, 2, 3, 2]}),
    repeat: 1,
    frameRate: 25,
  });

  main.anims.create({
    key: 'doubleBlink3',
    frames: main.anims.generateFrameNumbers('blink5', {frames: [1, 2, 3, 2]}),
    repeat: 1,
    frameRate: 25,
  });

  main.anims.create({
    key: 'doubleBlink4',
    frames: main.anims.generateFrameNumbers('blink2c', {frames: [1, 2, 3, 2]}),
    repeat: 1,
    frameRate: 25,
  });
}

function createLaughingAnims() {
  main.anims.create({
    key:'laughing1_eyes',
    frames: main.anims.generateFrameNumbers('laugh1_eyes', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1_mouth',
    frames: main.anims.generateFrameNumbers('laugh1_mouth', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2_eyes',
    frames: main.anims.generateFrameNumbers('laugh2_eyes', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2_mouth',
    frames: main.anims.generateFrameNumbers('laugh2_mouth', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3_eyes',
    frames: main.anims.generateFrameNumbers('laugh3_eyes', { frames: centerLoopFrames }),
    frameRate: 24,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3_mouth',
    frames: main.anims.generateFrameNumbers('laugh3_mouth', { frames: centerLoopFrames }),
    frameRate: 24,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4_eyes',
    frames: main.anims.generateFrameNumbers('laugh4_eyes', { frames: centerLoopFrames }),
    frameRate: 28,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4_mouth',
    frames: main.anims.generateFrameNumbers('laugh4_mouth', { frames: centerLoopFrames }),
    frameRate: 28,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1b_mouth',
    frames: main.anims.generateFrameNumbers('laugh1b_mouth', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1b_eyes',
    frames: main.anims.generateFrameNumbers('laugh1b_eyes', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2b_mouth',
    frames: main.anims.generateFrameNumbers('laugh2b_mouth', { frames: centerLoopFrames }),
    frameRate: 22,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2b_eyes',
    frames: main.anims.generateFrameNumbers('laugh2b_eyes', { frames: centerLoopFrames }),
    frameRate: 22,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3b_mouth',
    frames: main.anims.generateFrameNumbers('laugh3b_mouth', { frames: centerLoopFrames }),
    frameRate: 26,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3b_eyes',
    frames: main.anims.generateFrameNumbers('laugh3b_eyes', { frames: centerLoopFrames }),
    frameRate: 26,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4b_mouth',
    frames: main.anims.generateFrameNumbers('laugh4b_mouth', { frames: centerLoopFrames }),
    frameRate: 30,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4b_eyes',
    frames: main.anims.generateFrameNumbers('laugh4b_eyes', { frames: centerLoopFrames }),
    frameRate: 30,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1f_mouth',
    frames: main.anims.generateFrameNumbers('laugh1f_mouth', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1f_eyes',
    frames: main.anims.generateFrameNumbers('laugh1f_eyes', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2f_mouth',
    frames: main.anims.generateFrameNumbers('laugh2f_mouth', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });
  
  main.anims.create({
    key: 'laughing2f_eyes',
    frames: main.anims.generateFrameNumbers('laugh2f_eyes', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3f_mouth',
    frames: main.anims.generateFrameNumbers('laugh3f_mouth', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3f_eyes',
    frames: main.anims.generateFrameNumbers('laugh3f_eyes', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4f_mouth',
    frames: main.anims.generateFrameNumbers('laugh4f_mouth', { frames: centerLoopFrames }),
    frameRate: 24,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4f_eyes',
    frames: main.anims.generateFrameNumbers('laugh4f_eyes', { frames: centerLoopFrames }),
    frameRate: 24,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1t_mouth',
    frames: main.anims.generateFrameNumbers('laugh1t_mouth', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing1t_eyes',
    frames: main.anims.generateFrameNumbers('laugh1t_eyes', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2t_mouth',
    frames: main.anims.generateFrameNumbers('laugh2t_mouth', { frames: centerLoopFrames }),
    frameRate: 22,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing2t_eyes',
    frames: main.anims.generateFrameNumbers('laugh2t_eyes', { frames: centerLoopFrames }),
    frameRate: 22,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3t_mouth',
    frames: main.anims.generateFrameNumbers('laugh3t_mouth', { frames: centerLoopFrames }),
    frameRate: 26,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing3t_eyes',
    frames: main.anims.generateFrameNumbers('laugh3t_eyes', { frames: centerLoopFrames }),
    frameRate: 26,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4t_mouth',
    frames: main.anims.generateFrameNumbers('laugh4t_mouth', { frames: centerLoopFrames }),
    frameRate: 30,
    repeat: -1,
  });

  main.anims.create({
    key: 'laughing4t_eyes',
    frames: main.anims.generateFrameNumbers('laugh4t_eyes', { frames: centerLoopFrames }),
    frameRate: 30,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1a_eyes',
    frames: main.anims.generateFrameNumbers('aroused1_eyes', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1a_mouth',
    frames: main.anims.generateFrameNumbers('aroused1_mouth', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1ba_eyes',
    frames: main.anims.generateFrameNumbers('aroused1b_eyes', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1ba_mouth',
    frames: main.anims.generateFrameNumbers('aroused1b_mouth', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1fa_eyes',
    frames: main.anims.generateFrameNumbers('aroused1f_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1fa_mouth',
    frames: main.anims.generateFrameNumbers('aroused1f_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1ta_eyes',
    frames: main.anims.generateFrameNumbers('aroused1t_eyes', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });

  main.anims.create({
    key:'laughing1ta_mouth',
    frames: main.anims.generateFrameNumbers('aroused1t_mouth', { frames: centerLoopFrames }),
    frameRate: 20,
    repeat: -1,
  });
}

function createGaggedAnims() {
  generateMoveAnims('laughing1_gagged', 'laugh1_gagged', false, 12, 18);
  generateMoveAnims('laughing2_gagged', 'laugh2_gagged', false, 12, 22);
  generateMoveAnims('laughing3_gagged', 'laugh3_gagged', false, 12, 26);
  generateMoveAnims('laughing4_gagged', 'laugh4_gagged', false, 14, 30);
  generateMoveAnims('massage1_gagged', 'massage1_gagged', false, 10, 20);

  main.anims.create({
    key: 'tired1_gagged',
    frames: main.anims.generateFrameNumbers('tired1_gagged', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired2_gagged',
    frames: main.anims.generateFrameNumbers('tired2_gagged', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });
  
  main.anims.create({
    key: 'tired3_gagged',
    frames: main.anims.generateFrameNumbers('tired2_gagged', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired4_gagged',
    frames: main.anims.generateFrameNumbers('tired4_gagged', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'talking_gagged1',
    frames: main.anims.generateFrameNumbers('talking_gagged', { frames: [2, 3, 0, 3, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking_gagged2',
    frames: main.anims.generateFrameNumbers('talking_gagged', { frames: [1, 2, 3, 0, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking_gagged3',
    frames: main.anims.generateFrameNumbers('talking_gagged', { frames: [1, 2, 1, 3, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking_gagged_aroused1',
    frames: main.anims.generateFrameNumbers('talking_gagged_aroused', { frames: [2, 3, 0, 3, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking_gagged_aroused2',
    frames: main.anims.generateFrameNumbers('talking_gagged_aroused', { frames: [1, 2, 3, 0, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking_gagged_aroused3',
    frames: main.anims.generateFrameNumbers('talking_gagged_aroused', { frames: [1, 2, 1, 3, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'gagged_eyes',
    frames: main.anims.generateFrameNumbers('gagged_eyes', { frames: [0] }),
    frameRate: 7,
    repeat: 7
  });

  main.anims.create({
    key: 'gagged_blush_eyes',
    frames: main.anims.generateFrameNumbers('gagged_blush_eyes', { frames: [0] }),
    frameRate: 7,
    repeat: 7
  });

  main.anims.create({
    key: 'gagged_broken_eyes',
    frames: main.anims.generateFrameNumbers('gagged_broken_eyes', { frames: [0] }),
    frameRate: 7,
    repeat: 7
  });

  main.anims.create({
    key: 'gagged_aroused_eyes',
    frames: main.anims.generateFrameNumbers('gagged_aroused_eyes', { frames: [0] }),
    frameRate: 7,
    repeat: 7
  });

  main.anims.create({
    key: 'gagged_flustered_eyes',
    frames: main.anims.generateFrameNumbers('gagged_flustered_eyes', { frames: [0] }),
    frameRate: 7,
    repeat: 7
  });

  main.anims.create({
    key: 'gagged_reaction_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [3, 0, 2, 1, 4, 3, 1, 2, 4, 0, 5] }),
    frameRate: 7
  });

  main.anims.create({
    key: 'gagged_reaction_aroused_mouth',
    frames: main.anims.generateFrameNumbers('talking5_mouth', { frames: [3, 0, 2, 1, 4, 0, 1, 2, 4, 0, 5] }),
    frameRate: 7
  });

  main.anims.create({
    key: 'gagged_reaction_flustered_mouth',
    frames: main.anims.generateFrameNumbers('talking6_mouth', { frames: [3, 0, 2, 1, 4, 3, 1, 2, 4, 0, 5] }),
    frameRate: 7
  });
}

function createTalkingAnims() {
  main.anims.create({
    key: 'talking1-1_mouth',
    frames: main.anims.generateFrameNumbers('talking1_mouth', { frames: [0, 1, 2, 3, 4] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking1-2_mouth',
    frames: main.anims.generateFrameNumbers('talking1_mouth', { frames: [3, 0, 1, 4, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking1-3_mouth',
    frames: main.anims.generateFrameNumbers('talking1_mouth', { frames: [1, 3, 0, 4, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking1c-1_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [4, 3, 1, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking1c-2_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [2, 3, 4, 1, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking1c-3_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [1, 3, 4, 2, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2-1_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [0, 1, 2, 3, 4] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2-2_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [1, 0, 3, 4, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2-3_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [3, 2, 4, 0, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3-1_mouth',
    frames: main.anims.generateFrameNumbers('talking3_mouth', { frames: [0, 1, 2, 3, 4] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3-2_mouth',
    frames: main.anims.generateFrameNumbers('talking3_mouth', { frames: [1, 3, 4, 2, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3-3_mouth',
    frames: main.anims.generateFrameNumbers('talking3_mouth', { frames: [2, 0, 1, 4, 3] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking4-1_mouth',
    frames: main.anims.generateFrameNumbers('talking4_mouth', { frames: [0, 1, 6, 2, 4] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking4-2_mouth',
    frames: main.anims.generateFrameNumbers('talking4_mouth', { frames: [5, 3, 2, 6, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking4-3_mouth',
    frames: main.anims.generateFrameNumbers('talking4_mouth', { frames: [4, 3, 0, 1, 6] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2c-1_mouth',
    frames: main.anims.generateFrameNumbers('talking6_mouth', { frames: [1, 3, 0, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2c-2_mouth',
    frames: main.anims.generateFrameNumbers('talking6_mouth', { frames: [2, 0, 4, 0, 3] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking2c-3_mouth',
    frames: main.anims.generateFrameNumbers('talking6_mouth', { frames: [1, 0, 2, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3c-1_mouth',
    frames: main.anims.generateFrameNumbers('talking5_mouth', { frames: [3, 1, 0, 2, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3c-2_mouth',
    frames: main.anims.generateFrameNumbers('talking5_mouth', { frames: [4, 0, 3, 0, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'talking3c-3_mouth',
    frames: main.anims.generateFrameNumbers('talking5_mouth', { frames: [2, 3, 0, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });
}

function createBreatheAnims() {
  main.anims.create({
    key: 'tired1_eyes',
    frames: main.anims.generateFrameNumbers('tired1_eyes', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired2_eyes',
    frames: main.anims.generateFrameNumbers('tired2_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired3_eyes',
    frames: main.anims.generateFrameNumbers('tired3_eyes', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired4_eyes',
    frames: main.anims.generateFrameNumbers('tired4_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired1_mouth',
    frames: main.anims.generateFrameNumbers('tired1_mouth', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired2_mouth',
    frames: main.anims.generateFrameNumbers('tired2_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired3_mouth',
    frames: main.anims.generateFrameNumbers('tired3_mouth', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'tired4_mouth',
    frames: main.anims.generateFrameNumbers('tired4_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });
}

function createTransitionAnims() {
  main.anims.create({
    key: 'breathe1_transition',
    frames: main.anims.generateFrameNumbers('breathe1_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'breathe1b_transition',
    frames: main.anims.generateFrameNumbers('breathe1b_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'breathe2_transition',
    frames: main.anims.generateFrameNumbers('breathe2_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'breathe4t_transition',
    frames: main.anims.generateFrameNumbers('between3t_transition', { frames: [4, 3, 2] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'breathe4f_transition',
    frames: main.anims.generateFrameNumbers('breathe4f_transition', { start: 0, end: 2 }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'tease1f_transition',
    frames: main.anims.generateFrameNumbers('tease1f_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'tease2_transition',
    frames: main.anims.generateFrameNumbers('tease2_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'tease2f_transition',
    frames: main.anims.generateFrameNumbers('tease2f_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'tease2b_transition',
    frames: main.anims.generateFrameNumbers('tease2b_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'tease4f_transition',
    frames: main.anims.generateFrameNumbers('breathe4f_transition', { start: 0, end: 1 }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'tease4b_transition',
    frames: main.anims.generateFrameNumbers('tease4b_transition', { start: 0, end: 0 }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'laughing1_transition',
    frames: main.anims.generateFrameNumbers('blink2', { start: 1, end: 2 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1b_transition',
    frames: main.anims.generateFrameNumbers('laugh1b_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1f_transition',
    frames: main.anims.generateFrameNumbers('laugh1f_transition', { start: 0, end: 2 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1t_transition',
    frames: main.anims.generateFrameNumbers('laugh1t_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing2t_transition',
    frames: main.anims.generateFrameNumbers('laugh2t_transition', { start: 0, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'between3t_transition',
    frames: main.anims.generateFrameNumbers('between3t_transition', { start: 0, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'between3b_transition',
    frames: main.anims.generateFrameNumbers('between3b_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'broken1_transition',
    frames: main.anims.generateFrameNumbers('broken1b_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'broken1b_transition',
    frames: main.anims.generateFrameNumbers('broken1b_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction_close_transition',
    frames: main.anims.generateFrameNumbers('laugh1b_transition', { frames: [1, 0] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction1_end_transition',
    frames: main.anims.generateFrameNumbers('blink1', { frames: [2, 1, 0] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction1c_begin_transition',
    frames: main.anims.generateFrameNumbers('blink1c', { frames: [2, 1] }),
    frameRate: 30,
  });

  main.anims.create({
    key: 'reaction1cf_begin_transition',
    frames: main.anims.generateFrameNumbers('laugh1f_transition', { frames: [2, 1, 0] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction1cb_begin_transition',
    frames: main.anims.generateFrameNumbers('reaction1cb_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction2_end_transition',
    frames: main.anims.generateFrameNumbers('blink2', { frames: [2, 1] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction2c_begin_transition',
    frames: main.anims.generateFrameNumbers('reaction2c_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction3_end_transition',
    frames: main.anims.generateFrameNumbers('blink3', { frames: [2, 1] }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction4_begin_transition',
    frames: main.anims.generateFrameNumbers('reaction4_transition', { start: 0, end: 1 }),
    frameRate: 30,
  });

  main.anims.create({
    key: 'reaction4_end_transition',
    frames: main.anims.generateFrameNumbers('reaction4_transition', { start: 2, end: 2 }),
    frameRate: 30,
  });

  main.anims.create({
    key: 'reaction4c_begin_transition',
    frames: main.anims.generateFrameNumbers('reaction4c_transition', { start: 0, end: 0 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'reaction4c_end_transition',
    frames: main.anims.generateFrameNumbers('reaction4c_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'toetie_transition',
    frames: main.anims.generateFrameNumbers('laugh1b_transition', { start: 0, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'blush_toetie_transition',
    frames: main.anims.generateFrameNumbers('breathe1_transition', { start: 1, end: 1 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1a_transition',
    frames: main.anims.generateFrameNumbers('laugh1a_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1ba_transition',
    frames: main.anims.generateFrameNumbers('laugh1ba_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'laughing1fa_transition',
    frames: main.anims.generateFrameNumbers('laugh1fa_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });
  
  main.anims.create({
    key: 'laughing1ta_transition',
    frames: main.anims.generateFrameNumbers('laugh1ta_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'tease1a_transition',
    frames: main.anims.generateFrameNumbers('laugh1a_transition', { frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'tease1ba_transition',
    frames: main.anims.generateFrameNumbers('laugh1ba_transition', {  frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'tease1fa_transition',
    frames: main.anims.generateFrameNumbers('laugh1fa_transition', {  frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'breathe1a_transition',
    frames: main.anims.generateFrameNumbers('laugh1a_transition', { frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'breathe1ba_transition',
    frames: main.anims.generateFrameNumbers('laugh1ba_transition', { frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'breathe1fa_transition',
    frames: main.anims.generateFrameNumbers('laugh1fa_transition', { frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'breathe1ta_transition',
    frames: main.anims.generateFrameNumbers('laugh1ta_transition', { frames: [3] }),
    frameRate: 35,
  });

  main.anims.create({
    key: 'reaction1a_transition',
    frames: main.anims.generateFrameNumbers('blink5', { frames: [2] }),
    frameRate: 35,
  });
}

function createReactionAnims() {
  main.anims.create({
    key: 'reaction_surprised_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [2, 3, 1, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction_surprised_aroused_mouth',
    frames: main.anims.generateFrameNumbers('talking5_mouth', { frames: [2, 0, 1, 4, 0] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction_relieved_mouth',
    frames: main.anims.generateFrameNumbers('talking3_mouth', { frames: [0, 1, 2, 4, 2] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction1_mouth',
    frames: main.anims.generateFrameNumbers('talking1_mouth', { frames: [0, 2, 1, 3, 4] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction1c_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [2, 0, 4, 1, 3] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction2_mouth',
    frames: main.anims.generateFrameNumbers('talking2_mouth', { frames: [4, 2, 0, 4, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction3_mouth',
    frames: main.anims.generateFrameNumbers('talking3_mouth', { frames: [4, 3, 0, 4, 1] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction4_mouth',
    frames: main.anims.generateFrameNumbers('talking4_mouth', { frames: [4, 1, 5, 0, 6] }),
    frameRate: 7,
    repeat: 3,
  });

  main.anims.create({
    key: 'reaction4c_mouth',
    frames: main.anims.generateFrameNumbers('reaction4c_mouth', { start: 0, end: 0 }),
    frameRate: 7,
    repeat: 18,
  });
}

function createToolAnims() {
  main.anims.create({
    key: 'rotateToothbrush',
    frames: main.anims.generateFrameNumbers('toothbrush', { start: 0, end: 1 }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'vibrateWand',
    frames: main.anims.generateFrameNumbers('wand', { start: 0, end: 2 }),
    yoyo: true,
    frameRate: 60,
    repeat: -1,
  });
}

function createMassageAnims() {
  main.anims.create({
    key: 'massage1_mouth',
    frames: main.anims.generateFrameNumbers('massage1_mouth', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1t_mouth',
    frames: main.anims.generateFrameNumbers('massage1t_mouth', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1w_mouth',
    frames: main.anims.generateFrameNumbers('massage1w_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2_mouth',
    frames: main.anims.generateFrameNumbers('massage2_mouth', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2t_mouth',
    frames: main.anims.generateFrameNumbers('massage2t_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2w_mouth',
    frames: main.anims.generateFrameNumbers('massage2w_mouth', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3_mouth',
    frames: main.anims.generateFrameNumbers('massage3_mouth', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3t_mouth',
    frames: main.anims.generateFrameNumbers('massage3t_mouth', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3w_mouth',
    frames: main.anims.generateFrameNumbers('massage3w_mouth', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });


  main.anims.create({
    key: 'massage1_eyes',
    frames: main.anims.generateFrameNumbers('massage1_eyes', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1t_eyes',
    frames: main.anims.generateFrameNumbers('massage1t_eyes', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1w_broken_eyes',
    frames: main.anims.generateFrameNumbers('massage1w_broken_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1t_broken_eyes',
    frames: main.anims.generateFrameNumbers('massage1t_broken_eyes', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage1w_eyes',
    frames: main.anims.generateFrameNumbers('massage1w_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2_eyes',
    frames: main.anims.generateFrameNumbers('massage2_eyes', { frames: centerLoopFrames }),
    frameRate: 12,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2t_eyes',
    frames: main.anims.generateFrameNumbers('massage2t_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage2w_eyes',
    frames: main.anims.generateFrameNumbers('massage2w_eyes', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3_eyes',
    frames: main.anims.generateFrameNumbers('massage3_eyes', { frames: centerLoopFrames }),
    frameRate: 14,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3t_eyes',
    frames: main.anims.generateFrameNumbers('massage3t_eyes', { frames: centerLoopFrames }),
    frameRate: 16,
    repeat: -1,
  });

  main.anims.create({
    key: 'massage3w_eyes',
    frames: main.anims.generateFrameNumbers('massage3w_eyes', { frames: centerLoopFrames }),
    frameRate: 18,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeft',
    frames: main.anims.generateFrameNumbers('leftFoot', { frames: [0, 1, 2, 3, 2, 1, 0, 6, 7, 8, 7, 6] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRight',
    frames: main.anims.generateFrameNumbers('rightFoot', { frames: [0, 1, 2, 3, 2, 1, 0, 6, 7, 8, 7, 6] }),
    frameRate: 8,
    repeat: -1,
  });

  
  main.anims.create({
    key: 'rubLeftOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { frames: [0, 1, 2, 3, 2, 1, 0, 6, 7, 8, 7, 6] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { frames: [0, 1, 2, 3, 2, 1, 0, 6, 7, 8, 7, 6] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftTongue',
    frames: main.anims.generateFrameNumbers('leftFoot', { frames: [10, 11, 12, 13, 12, 16, 17, 18, 19, 18, 17, 16] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightTongue',
    frames: main.anims.generateFrameNumbers('rightFoot', { frames: [10, 11, 12, 13, 12, 16, 17, 18, 19, 18, 17, 16] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftTongueOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { frames: [10, 11, 12, 13, 12, 16, 17, 18, 19, 18, 17, 16] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightTongueOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', { frames: [10, 11, 12, 13, 12, 16, 17, 18, 19, 18, 17, 16] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftWand',
    frames: main.anims.generateFrameNumbers('leftFoot', { frames: [5, 6, 7, 8, 7, 6, 5, 11, 12, 11] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightWand',
    frames: main.anims.generateFrameNumbers('rightFoot',{ frames: [5, 6, 7, 8, 7, 6, 5, 11, 12, 11] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftWandOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', { frames: [5, 6, 7, 8, 7, 6, 5, 11, 12, 11] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightWandOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled',{ frames: [5, 6, 7, 8, 7, 6, 5, 11, 12, 11] }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftTied',
    frames: main.anims.generateFrameNumbers('leftFootTied', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightTied',
    frames: main.anims.generateFrameNumbers('rightFootTied', { frames: centerLoopFrames }),
    frameRate: 10,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftScrunch',
    frames: main.anims.generateFrameNumbers('leftFoot', { start: 2, end: 4 }),
    frameRate: 10,
  });

  main.anims.create({
    key: 'rubRightScrunch',
    frames: main.anims.generateFrameNumbers('rightFoot', { start: 2, end: 4 }),
    frameRate: 10,
  });

  main.anims.create({
    key: 'rubLeftScrunchTied',
    frames: main.anims.generateFrameNumbers('leftFootTied', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'rubRightScrunchTied',
    frames: main.anims.generateFrameNumbers('rightFootTied', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'rubLeftScrunchTiedOiled',
    frames: main.anims.generateFrameNumbers('leftFootTiedOiled', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'rubRightScrunchTiedOiled',
    frames: main.anims.generateFrameNumbers('rightFootTiedOiled', {
      start: 3,
      end: 3,
    }),
  });

  main.anims.create({
    key: 'rubLeftTiedOiled',
    frames: main.anims.generateFrameNumbers('leftFootTiedOiled', {frames: centerLoopFrames}),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubRightTiedOiled',
    frames: main.anims.generateFrameNumbers('rightFootTiedOiled', { frames: centerLoopFrames }),
    frameRate: 8,
    repeat: -1,
  });

  main.anims.create({
    key: 'rubLeftScrunchOiled',
    frames: main.anims.generateFrameNumbers('leftFootOiled', {
      start: 2,
      end: 4,
    }),
    frameRate: 10,
  });

  main.anims.create({
    key: 'rubRightScrunchOiled',
    frames: main.anims.generateFrameNumbers('rightFootOiled', {
      start: 2,
      end: 4,
    }),
    frameRate: 10,
  });

  main.anims.create({
    key: 'massage1_transition',
    frames: main.anims.generateFrameNumbers('blink1c', { start: 1, end: 2 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'broken_massage_transition',
    frames: main.anims.generateFrameNumbers('blink4', { start: 1, end: 2 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1t_transition',
    frames: main.anims.generateFrameNumbers('massage1t_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1t_tease_transition',
    frames: main.anims.generateFrameNumbers('massage1t_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1w_transition',
    frames: main.anims.generateFrameNumbers('massage1w_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1w_tease_transition',
    frames: main.anims.generateFrameNumbers('massage1w_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1t_broken_transition',
    frames: main.anims.generateFrameNumbers('massage1t_broken_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1t_broken_tease_transition',
    frames: main.anims.generateFrameNumbers('massage1t_broken_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1w_broken_transition',
    frames: main.anims.generateFrameNumbers('massage1w_broken_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage1w_broken_tease_transition',
    frames: main.anims.generateFrameNumbers('massage1w_broken_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2_transition',
    frames: main.anims.generateFrameNumbers('massage2_transition', { start: 0, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2_tease_transition',
    frames: main.anims.generateFrameNumbers('massage2_transition', { start: 3, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2t_transition',
    frames: main.anims.generateFrameNumbers('massage2t_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2t_tease_transition',
    frames: main.anims.generateFrameNumbers('massage2t_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2w_transition',
    frames: main.anims.generateFrameNumbers('massage2w_transition', { start: 0, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2w_tease_transition',
    frames: main.anims.generateFrameNumbers('massage2w_transition', { start: 3, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3_transition',
    frames: main.anims.generateFrameNumbers('massage3_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3_tease_transition',
    frames: main.anims.generateFrameNumbers('massage3_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3t_transition',
    frames: main.anims.generateFrameNumbers('massage3t_transition', { start: 0, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3t_tease_transition',
    frames: main.anims.generateFrameNumbers('massage3t_transition', { start: 3, end: 4 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3w_transition',
    frames: main.anims.generateFrameNumbers('massage3w_transition', { start: 0, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage3w_tease_transition',
    frames: main.anims.generateFrameNumbers('massage3w_transition', { start: 3, end: 3 }),
    frameRate: 40,
  });

  main.anims.create({
    key: 'massage2_between_transition',
    frames: main.anims.generateFrameNumbers('massage2_between_transition', { start: 0, end: 3 }),
    frameRate: 35,
  });
}
