function createTimers() {
    //Timer for triggering blinking animation
  blinkTimer = main.time.addEvent({
    delay: 6000,
    callback: function(){
      if (givenBreak && speechText.text === '...' && !blindfold.visible) {
        if ( broken ) {
          playEyesExpression('blink4')
        }
        else if ( aroused ) {
          playEyesExpression('blink5');
        }
        else if ( maxDesperation < 1500 ) {
          if (maxPleasure > 1500) {
            playEyesExpression('blink2c');
          }
          else if (maxPleasure > 750) {
            playEyesExpression('blink1c');
          }
          else {
            playEyesExpression('blink1');
          }
        }
        else if ( maxDesperation < 3200 ) {
          playEyesExpression('blink2');
        }
        else {
          playEyesExpression('blink3');
        }
        idleAnimPlaying = false;
      }
    },
    callbackScope: main,
    loop: true
  });

  leftFootIdleTimer = main.time.addEvent({
    delay: Phaser.Math.Between(5000, 10000),
    loop: true,
    callback: function() {
      if (givenBreak && !breatheAnimPlaying) {
        animString = generateFootIdleAnim('left');
        leftFoot.anims.play(animString);
      }
      leftFootIdleTimer.delay = Phaser.Math.Between(15000, 25000);
    }
  });

  rightFootIdleTimer = main.time.addEvent({
    delay: Phaser.Math.Between(5000, 10000),
    loop: true,
    callback: function() {
      if (givenBreak  && !breatheAnimPlaying) {
        animString = generateFootIdleAnim('right');
        rightFoot.anims.play(animString);
      }
      rightFootIdleTimer.delay = Phaser.Math.Between(15000, 25000);
    }
  });

  //Timer to switch foot rotation between left or right
  footRotateTimer = main.time.addEvent({
    delay: 200,
    callback: function(){
      //Check if foot has rotated to boundary, if so rotate away
      if (footCollided.bool) {
        collideTimer = main.time.addEvent({
          delay: 10,
          callback: function(){footCollided.bool = false;},
          callbackScope: main
        });
      }
      //Else randomize rotation direction
      else {
        if( Phaser.Math.Between(0, 100) > 60){
          footRotationDirection.bool = !footRotationDirection.bool
        }
      }

    },
    callbackScope: main,
    loop: true
  });

  //Timer to set shake direction of upper body
  shakeTimer = main.time.addEvent({
    delay: 200,
    callback: function(){
      if (shakeCollided.bool) {
        shakeCollideTimer = main.time.addEvent({
          delay: 10,
          callback: function(){shakeCollided.bool = false;},
          callbackScope: main
        });
      }
      else {
        if( Phaser.Math.Between(0, 100) > 50) {
          shakeDirection.bool = footRotationDirection.bool;
        }
      }

    },
    callbackScope: main,
    loop: true
  });

  //Timer to alternate idle movement of upperbody and feet
  idleTimer = main.time.addEvent({
    delay: 2000,
    callback: function() {
      if (shakeCollided.bool) {
        shakeCollideTimer = main.time.addEvent({
          delay: 2000,
          callback: function() {shakeCollided.bool = false;},
          callbackScope: main
        });
      }
      else {
        leftFootIdleDirection.bool = !leftFootIdleDirection.bool;
        rightFootIdleDirection.bool = !rightFootIdleDirection.bool;
        idleDirection.bool = !idleDirection.bool;
      }
    },
    callbackScope: main,
    loop: true
  });

  //Timer to change direction of idle movement periodically
  idleDirectionTimer = main.time.addEvent({
    delay: 30000,
    callback: function() {
      if( Phaser.Math.Between(0, 100) > 50 ) {
        leftFootIdleDirection.bool = !leftFootIdleDirection.bool;
      }
      if( Phaser.Math.Between(0, 100) > 50 ) {
        rightFootIdleDirection.bool = !rightFootIdleDirection.bool;
      }
      if( Phaser.Math.Between(0, 100) > 50 ) {
        idleDirection.bool = !idleDirection.bool;
      }
    },
    callbackScope: main,
    loop: true
  });

  //Alternating timers to set idle speech text every 7 seconds
  //Will get appropriate text depending on maxDesperation and whether Kuri was massaged for long enough
  currQuote = getRandomText(starttext);
  playTalkingExpression(1, Phaser.Math.Between(1,3));
  idleAnimPlaying = false;
  idleSpeechTimerParameters1 = {
    delay: 3000,
    callback: function() {
      currQuote = '...';
      idleSpeechTimerParameters2.delay = Phaser.Math.Between(7000, 15000);
      idleSpeechTimer = scene.time.addEvent(idleSpeechTimerParameters2);
    },
    callbackScope: main
  };

  idleSpeechTimerParameters2 = {
    delay: 7000,
    callback: function() {
      if ( !breatheAnimPlaying ) {
        removeFaceAnims();
      }
      if (broken) {
        currQuote = getRandomText(idletext4);
        if ( !breatheAnimPlaying )
          playTalkingExpression(4, Phaser.Math.Between(1,3));
      }
      else if (aroused) {
        currQuote = getRandomText(idletext3c);
        if ( !breatheAnimPlaying )
          playTalkingExpression('3c', Phaser.Math.Between(1,3));
      }
      else if (maxPleasure > 1500) {
        currQuote = getRandomText(idletext2c);
        if ( !breatheAnimPlaying )
          playTalkingExpression('2c', Phaser.Math.Between(1,3));
      }
      else if (maxDesperation < 1500) {
        if (maxPleasure > 750) {
          currQuote = getRandomText(idletext1c);
          if ( !breatheAnimPlaying )
            playTalkingExpression('1c', Phaser.Math.Between(1,3));
        }
        else {
          currQuote = getRandomText(idletext1);
          if ( !breatheAnimPlaying )
            playTalkingExpression(1, Phaser.Math.Between(1,3));
        }
      }
      else if (maxDesperation < 3200) {
        currQuote = getRandomText(idletext2);
        if ( !breatheAnimPlaying )
          playTalkingExpression(2, Phaser.Math.Between(1,3));
      }
      else {
        currQuote = getRandomText(idletext3);
        if ( !breatheAnimPlaying )
          playTalkingExpression(3, Phaser.Math.Between(1,3));
      }
      idleSpeechTimer = scene.time.addEvent(idleSpeechTimerParameters1);
    },
    callbackScope: main
  };
  idleSpeechTimer = main.time.addEvent(idleSpeechTimerParameters1);

  //Timer to change laugh periodically while being tickled
  //Will set appropriate text depending on current desperation
  currLaugh = getRandomLaugh(laughtext1);
  laughTimerParameters = {
    delay: 3000,
    callback: function() {
      updateLaugh(); 
    },
    callbackScope: main,
    loop: true
  };
  laughTimer = main.time.addEvent();

  //Declaration of timer to check if pointer held on a foot
  holdTimer = main.time.addEvent();
  reactionTimer = main.time.addEvent();
  teaseTimer = main.time.addEvent();
  breatheTimer = main.time.addEvent();
  breakTimer = main.time.addEvent();
}