function loadAssets() {
    loadBase();
    loadIdle();
    loadBlinking();

    loadLaughing();
    loadMassage();
    loadTeasing();
    loadReactions();
    loadBreathing();
    loadTalking();
    loadTransitions();

    loadStatic();
    loadFeet();
    loadText();
    loadTools();
}

function loadBase() {
    main.load.spritesheet('uniform', 'assets/kuri/base/kuri_uniform.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('bra', 'assets/kuri/base/kuri_bra.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('bandaids', 'assets/kuri/base/kuri_bandaids.png', {frameWidth: 490, frameHeight: 760});

    main.load.spritesheet('twintails_front', 'assets/kuri/hair/twintails/twintails_front.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('twintails_back', 'assets/kuri/hair/twintails/twintails_back.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('twintails_shadow', 'assets/kuri/hair/twintails/twintails_shadow.png', {frameWidth: 490, frameHeight: 760});

    main.load.spritesheet('bangs_front', 'assets/kuri/hair/bangs/bangs_front.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('bangs_back', 'assets/kuri/hair/bangs/bangs_back.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('bangs_shadow', 'assets/kuri/hair/bangs/bangs_shadow.png', {frameWidth: 490, frameHeight: 760});

    main.load.spritesheet('braids_front', 'assets/kuri/hair/braids/braids_front.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('braids_back', 'assets/kuri/hair/braids/braids_back.png', {frameWidth: 490, frameHeight: 760});
    main.load.spritesheet('braids_shadow', 'assets/kuri/hair/braids/braids_shadow.png', {frameWidth: 490, frameHeight: 760});
    
    main.load.spritesheet('kuri_nose', 'assets/kuri/base/kuri_nose.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blindfold', 'assets/kuri/base/blindfold.png', {frameWidth: 200, frameHeight: 200});
    main.load.image('annoyed', 'assets/kuri/base/annoyed.png');
}

function loadStatic() {
    main.load.image('textbox', 'assets/static/textbox.png');
    main.load.image('stocks', 'assets/static/stocks.png');
    main.load.image('textboxtriangle', 'assets/static/triangle.png');
}

function loadFeet() {
    main.load.spritesheet('leftFoot', 'assets/feet/leftFoot.png', {frameWidth: 141, frameHeight: 285});
    main.load.spritesheet('rightFoot', 'assets/feet/rightFoot.png', {frameWidth: 141, frameHeight: 285});
    main.load.spritesheet('leftFootTied', 'assets/feet/leftFootTied.png', {frameWidth: 169, frameHeight: 285});
    main.load.spritesheet('rightFootTied', 'assets/feet/rightFootTied.png', {frameWidth: 169, frameHeight: 285});
    main.load.image('stockTiesLeft', 'assets/feet/stockTiesLeft.png');
    main.load.image('stockTiesRight', 'assets/feet/stockTiesRight.png');

    main.load.spritesheet('rightFootOiled', 'assets/feet/rightFootOiled.png', {frameWidth: 141, frameHeight: 285});
    main.load.spritesheet('rightFootTiedOiled', 'assets/feet/rightFootTiedOiled.png', {frameWidth: 169, frameHeight: 285});
    main.load.spritesheet('leftFootOiled', 'assets/feet/leftFootOiled.png', {frameWidth: 141, frameHeight: 285});
    main.load.spritesheet('leftFootTiedOiled', 'assets/feet/leftFootTiedOiled.png', {frameWidth: 169, frameHeight: 285});
}

function loadIdle() {
    main.load.image('idle1_eyes', 'assets/kuri/idle/idle1_eyes.png');
    main.load.image('idle1c_eyes', 'assets/kuri/idle/idle1c_eyes.png');
    main.load.image('idle2_eyes', 'assets/kuri/idle/idle2_eyes.png');
    main.load.image('idle2c_eyes', 'assets/kuri/idle/idle2c_eyes.png');
    main.load.image('idle3_eyes', 'assets/kuri/idle/idle3_eyes.png');
    main.load.image('idle4_eyes', 'assets/kuri/idle/idle4_eyes.png');
    main.load.image('idle5_eyes', 'assets/kuri/idle/idle5_eyes.png');

    main.load.image('idle1_mouth', 'assets/kuri/idle/idle1_mouth.png');
    main.load.image('idle1c_mouth', 'assets/kuri/idle/idle1c_mouth.png');
    main.load.image('idle2c_mouth', 'assets/kuri/idle/idle2c_mouth.png');
    main.load.image('idle5_mouth', 'assets/kuri/idle/idle5_mouth.png');

    main.load.image('idle1_gagged', 'assets/kuri/idle/idle1_gagged.png');
    main.load.image('idle2_gagged', 'assets/kuri/idle/idle2_gagged.png');
    main.load.image('idle3_gagged', 'assets/kuri/idle/idle3_gagged.png');
    main.load.image('idle5_gagged', 'assets/kuri/idle/idle5_gagged.png');
}   

function loadBlinking() {
    main.load.spritesheet('blink1', 'assets/kuri/blink/blink1.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink1c', 'assets/kuri/blink/blink1c.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink2', 'assets/kuri/blink/blink2.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink2c', 'assets/kuri/blink/blink2c.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink3', 'assets/kuri/blink/blink3.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink4', 'assets/kuri/blink/blink4.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('blink5', 'assets/kuri/blink/blink5.png', {frameWidth: 200, frameHeight: 200});
}

function loadLaughing() {
    main.load.spritesheet('laugh1_eyes', 'assets/kuri/laugh/laugh1_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1_mouth', 'assets/kuri/laugh/laugh1_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2_eyes', 'assets/kuri/laugh/laugh2_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2_mouth', 'assets/kuri/laugh/laugh2_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3_eyes', 'assets/kuri/laugh/laugh3_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3_mouth', 'assets/kuri/laugh/laugh3_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4_eyes', 'assets/kuri/laugh/laugh4_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4_mouth', 'assets/kuri/laugh/laugh4_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1b_eyes', 'assets/kuri/laugh/laugh1b_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1b_mouth', 'assets/kuri/laugh/laugh1b_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2b_eyes', 'assets/kuri/laugh/laugh2b_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2b_mouth', 'assets/kuri/laugh/laugh2b_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3b_eyes', 'assets/kuri/laugh/laugh3b_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3b_mouth', 'assets/kuri/laugh/laugh3b_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4b_eyes', 'assets/kuri/laugh/laugh4b_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4b_mouth', 'assets/kuri/laugh/laugh4b_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1f_eyes', 'assets/kuri/laugh/laugh1f_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1f_mouth', 'assets/kuri/laugh/laugh1f_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2f_eyes', 'assets/kuri/laugh/laugh2f_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2f_mouth', 'assets/kuri/laugh/laugh2f_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3f_eyes', 'assets/kuri/laugh/laugh3f_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3f_mouth', 'assets/kuri/laugh/laugh3f_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4f_eyes', 'assets/kuri/laugh/laugh4f_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4f_mouth', 'assets/kuri/laugh/laugh4f_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1t_eyes', 'assets/kuri/laugh/laugh1t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1t_mouth', 'assets/kuri/laugh/laugh1t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2t_eyes', 'assets/kuri/laugh/laugh2t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2t_mouth', 'assets/kuri/laugh/laugh2t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3t_eyes', 'assets/kuri/laugh/laugh3t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3t_mouth', 'assets/kuri/laugh/laugh3t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4t_eyes', 'assets/kuri/laugh/laugh4t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4t_mouth', 'assets/kuri/laugh/laugh4t_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('aroused1_eyes', 'assets/kuri/laugh/aroused1_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1_mouth', 'assets/kuri/laugh/aroused1_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1b_eyes', 'assets/kuri/laugh/aroused1b_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1b_mouth', 'assets/kuri/laugh/aroused1b_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1f_eyes', 'assets/kuri/laugh/aroused1f_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1f_mouth', 'assets/kuri/laugh/aroused1f_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1t_eyes', 'assets/kuri/laugh/aroused1t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('aroused1t_mouth', 'assets/kuri/laugh/aroused1t_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1_gagged', 'assets/kuri/laugh/laugh1_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2_gagged', 'assets/kuri/laugh/laugh2_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh3_gagged', 'assets/kuri/laugh/laugh3_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh4_gagged', 'assets/kuri/laugh/laugh4_gagged.png', {frameWidth: 200, frameHeight: 200});

}

function loadMassage() {
    main.load.spritesheet('massage1_eyes', 'assets/kuri/massage/massage1_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1t_eyes', 'assets/kuri/massage/massage1t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1w_eyes', 'assets/kuri/massage/massage1w_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2_eyes', 'assets/kuri/massage/massage2_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2t_eyes', 'assets/kuri/massage/massage2t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2w_eyes', 'assets/kuri/massage/massage2w_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3_eyes', 'assets/kuri/massage/massage3_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3t_eyes', 'assets/kuri/massage/massage3t_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3w_eyes', 'assets/kuri/massage/massage3w_eyes.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage1_mouth', 'assets/kuri/massage/massage1_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1t_mouth', 'assets/kuri/massage/massage1t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1w_mouth', 'assets/kuri/massage/massage1w_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1_gagged', 'assets/kuri/massage/massage1_gagged.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage2_mouth', 'assets/kuri/massage/massage2_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2t_mouth', 'assets/kuri/massage/massage2t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2w_mouth', 'assets/kuri/massage/massage2w_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage3_mouth', 'assets/kuri/massage/massage3_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3t_mouth', 'assets/kuri/massage/massage3t_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3w_mouth', 'assets/kuri/massage/massage3w_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage1t_broken_eyes', 'assets/kuri/massage/massage1t_broken_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1w_broken_eyes', 'assets/kuri/massage/massage1w_broken_eyes.png', {frameWidth: 200, frameHeight: 200});
}

function loadTeasing() {
    main.load.image('tease1_eyes', 'assets/kuri/tease/tease1_eyes.png');
    main.load.image('tease1_mouth', 'assets/kuri/tease/tease1_mouth.png');

    main.load.image('tease1c_eyes', 'assets/kuri/tease/tease1c_eyes.png');
    main.load.image('tease1c_mouth', 'assets/kuri/tease/tease1c_mouth.png');

    main.load.image('tease2c_eyes', 'assets/kuri/tease/tease2c_eyes.png');
    main.load.image('tease2c_mouth', 'assets/kuri/tease/tease2c_mouth.png');

    main.load.image('tease3c_eyes', 'assets/kuri/tease/tease3c_eyes.png');
    main.load.image('tease3c_mouth', 'assets/kuri/tease/tease3c_mouth.png');

    main.load.image('tease2_eyes', 'assets/kuri/tease/tease2_eyes.png');
    main.load.image('tease2_mouth', 'assets/kuri/tease/tease2_mouth.png');

    main.load.image('tease3_eyes', 'assets/kuri/tease/tease3_eyes.png');
    main.load.image('tease3_mouth', 'assets/kuri/tease/tease3_mouth.png');

    main.load.image('tease4_eyes', 'assets/kuri/tease/tease4_eyes.png');
    main.load.image('tease4_mouth', 'assets/kuri/tease/tease4_mouth.png');

    main.load.image('tease5_eyes', 'assets/kuri/tease/tease5_eyes.png');
    main.load.image('tease5_mouth', 'assets/kuri/tease/tease5_mouth.png');

    main.load.image('tease1_gagged', 'assets/kuri/tease/tease1_gagged.png');
    main.load.image('tease2_gagged', 'assets/kuri/tease/tease2_gagged.png');
    main.load.image('tease3_gagged', 'assets/kuri/tease/tease3_gagged.png');
    main.load.image('tease5_gagged', 'assets/kuri/tease/tease5_gagged.png');
    main.load.image('tease6_gagged', 'assets/kuri/tease/tease6_gagged.png');
}

function loadTalking() {
    main.load.spritesheet('talking1_mouth', 'assets/kuri/speech/talking1_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking2_mouth', 'assets/kuri/speech/talking2_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking3_mouth', 'assets/kuri/speech/talking3_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking4_mouth', 'assets/kuri/speech/talking4_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking5_mouth', 'assets/kuri/speech/talking5_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking6_mouth', 'assets/kuri/speech/talking6_mouth.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking_gagged', 'assets/kuri/speech/talking_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('talking_gagged_aroused', 'assets/kuri/speech/talking_gagged_aroused.png', {frameWidth: 200, frameHeight: 200});

    main.load.image('talking1-1_eyes', 'assets/kuri/speech/talking1-1_eyes.png');
    main.load.image('talking1-2_eyes', 'assets/kuri/speech/talking1-2_eyes.png');
    main.load.image('talking1-3_eyes', 'assets/kuri/speech/talking1-3_eyes.png');

    main.load.image('talking1c-1_eyes', 'assets/kuri/speech/talking1c-1_eyes.png');
    main.load.image('talking1c-2_eyes', 'assets/kuri/speech/talking1c-2_eyes.png');
    main.load.image('talking1c-3_eyes', 'assets/kuri/speech/talking1c-3_eyes.png');

    main.load.image('talking2-1_eyes', 'assets/kuri/speech/talking2-1_eyes.png');
    main.load.image('talking2-2_eyes', 'assets/kuri/speech/talking2-2_eyes.png');
    main.load.image('talking2-3_eyes', 'assets/kuri/speech/talking2-3_eyes.png');

    main.load.image('talking2c-1_eyes', 'assets/kuri/speech/talking2c-1_eyes.png');
    main.load.image('talking2c-2_eyes', 'assets/kuri/speech/talking2c-2_eyes.png');
    main.load.image('talking2c-3_eyes', 'assets/kuri/speech/talking2c-3_eyes.png');

    main.load.image('talking3-1_eyes', 'assets/kuri/speech/talking3-1_eyes.png');
    main.load.image('talking3-2_eyes', 'assets/kuri/speech/talking3-2_eyes.png');
    main.load.image('talking3-3_eyes', 'assets/kuri/speech/talking3-3_eyes.png');
    
    main.load.image('talking3c-1_eyes', 'assets/kuri/speech/talking5-1_eyes.png');
    main.load.image('talking3c-2_eyes', 'assets/kuri/speech/talking5-2_eyes.png');
    main.load.image('talking3c-3_eyes', 'assets/kuri/speech/talking5-3_eyes.png');

    main.load.image('talking4-1_eyes', 'assets/kuri/speech/talking4-1_eyes.png');
    main.load.image('talking4-2_eyes', 'assets/kuri/speech/talking4-2_eyes.png');
    main.load.image('talking4-3_eyes', 'assets/kuri/speech/talking4-3_eyes.png');
}

function loadBreathing() {
    main.load.spritesheet('tired1_eyes', 'assets/kuri/breathe/tired1_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired1_mouth', 'assets/kuri/breathe/tired1_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('tired2_eyes', 'assets/kuri/breathe/tired2_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired2_mouth', 'assets/kuri/breathe/tired2_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('tired3_eyes', 'assets/kuri/breathe/tired3_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired3_mouth', 'assets/kuri/breathe/tired3_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('tired4_eyes', 'assets/kuri/breathe/tired4_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired4_mouth', 'assets/kuri/breathe/tired4_mouth.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('tired1_gagged', 'assets/kuri/breathe/tired1_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired2_gagged', 'assets/kuri/breathe/tired2_gagged.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tired4_gagged', 'assets/kuri/breathe/tired4_gagged.png', {frameWidth: 200, frameHeight: 200});
}

function loadReactions() {
    main.load.image('surprised_eyes', 'assets/kuri/speech/surprised_eyes.png');
    main.load.image('surprised_blush_eyes', 'assets/kuri/speech/surprised_blush_eyes.png');
    main.load.image('surprised_broken_eyes', 'assets/kuri/speech/surprised_broken_eyes.png');
    main.load.image('surprised_flustered_eyes', 'assets/kuri/speech/surprised_flustered_eyes.png');
    main.load.image('surprised_aroused_eyes', 'assets/kuri/speech/surprised_aroused_eyes.png');

    main.load.spritesheet('gagged_eyes', 'assets/kuri/speech/gagged_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('gagged_blush_eyes', 'assets/kuri/speech/gagged_blush_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('gagged_broken_eyes', 'assets/kuri/speech/gagged_broken_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('gagged_flustered_eyes', 'assets/kuri/speech/gagged_flustered_eyes.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('gagged_aroused_eyes', 'assets/kuri/speech/gagged_aroused_eyes.png', {frameWidth: 200, frameHeight: 200});

    main.load.image('reaction1_eyes', 'assets/kuri/speech/reaction1_eyes.png');
    main.load.image('reaction1c_eyes', 'assets/kuri/speech/reaction1c_eyes.png');
    main.load.image('reaction2c_eyes', 'assets/kuri/speech/reaction2c_eyes.png');
    main.load.image('reaction2_eyes', 'assets/kuri/speech/reaction2_eyes.png');
    main.load.image('reaction3_eyes', 'assets/kuri/speech/reaction3_eyes.png');
    main.load.image('reaction4_eyes', 'assets/kuri/speech/reaction4_eyes.png');
    main.load.image('reaction4c_eyes', 'assets/kuri/speech/reaction4c_eyes.png');

    main.load.spritesheet('reaction4c_mouth', 'assets/kuri/speech/reaction4c_mouth.png', {frameWidth: 200, frameHeight: 200});
}

function loadTransitions() {
    main.load.spritesheet('tease1f_transition', 'assets/kuri/transition/tease1f_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tease2_transition', 'assets/kuri/transition/tease2_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tease2f_transition', 'assets/kuri/transition/tease2f_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tease2b_transition', 'assets/kuri/transition/tease2b_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('tease4b_transition', 'assets/kuri/transition/tease4b_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1b_transition', 'assets/kuri/transition/laugh1b_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1f_transition', 'assets/kuri/transition/laugh1f_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1t_transition', 'assets/kuri/transition/laugh1t_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh2t_transition', 'assets/kuri/transition/laugh2t_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('breathe1_transition', 'assets/kuri/transition/breathe1_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('breathe1b_transition', 'assets/kuri/transition/breathe1b_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('breathe2_transition', 'assets/kuri/transition/breathe2_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('breathe4f_transition', 'assets/kuri/transition/breathe4f_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('between3t_transition', 'assets/kuri/transition/between3t_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('between3b_transition', 'assets/kuri/transition/between3b_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('broken1b_transition', 'assets/kuri/transition/broken1b_transition.png', {frameWidth: 200, frameHeight: 200});
   
    main.load.spritesheet('reaction1cb_transition', 'assets/kuri/transition/reaction1cb_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('reaction2c_transition', 'assets/kuri/transition/reaction2c_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('reaction4_transition', 'assets/kuri/transition/reaction4_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('reaction4c_transition', 'assets/kuri/transition/reaction4c_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('laugh1a_transition', 'assets/kuri/transition/laugh1a_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1ba_transition', 'assets/kuri/transition/laugh1ba_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1fa_transition', 'assets/kuri/transition/laugh1fa_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('laugh1ta_transition', 'assets/kuri/transition/laugh1ta_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage1t_transition', 'assets/kuri/massage-transition/massage1t_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1w_transition', 'assets/kuri/massage-transition/massage1w_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2_transition', 'assets/kuri/massage-transition/massage2_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2t_transition', 'assets/kuri/massage-transition/massage2t_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2w_transition', 'assets/kuri/massage-transition/massage2w_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3_transition', 'assets/kuri/massage-transition/massage3_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3t_transition', 'assets/kuri/massage-transition/massage3t_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage3w_transition', 'assets/kuri/massage-transition/massage3w_transition.png', {frameWidth: 200, frameHeight: 200});

    main.load.spritesheet('massage1t_broken_transition', 'assets/kuri/massage-transition/massage1t_broken_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage1w_broken_transition', 'assets/kuri/massage-transition/massage1w_broken_transition.png', {frameWidth: 200, frameHeight: 200});
    main.load.spritesheet('massage2_between_transition', 'assets/kuri/massage-transition/massage2_between_transition.png', {frameWidth: 200, frameHeight: 200});

}

function loadText() {
    main.load.json('teasetext', 'assets/text/default/teasetext.json');
    main.load.json('teasetext2', 'assets/text/default/teasetext2.json');
    main.load.json('teasetext3', 'assets/text/default/teasetext3.json');

    main.load.json('tiredtext', 'assets/text/default/tiredtext.json');
    main.load.json('tiredtext2', 'assets/text/default/tiredtext2.json');

    main.load.json('idletext1', 'assets/text/idle/idletext1.json');
    main.load.json('idletext2', 'assets/text/idle/idletext2.json');
    main.load.json('idletext3', 'assets/text/idle/idletext3.json');
    main.load.json('idletext4', 'assets/text/idle/idletext4.json');

    main.load.json('starttext', 'assets/text/default/starttext.json');

    main.load.json('toetiedtext', 'assets/text/tool-reaction/toetiedtext.json');
    main.load.json('releasetoetext', 'assets/text/tool-reaction/toereleasetext.json')
    main.load.json('oiledtext', 'assets/text/tool-reaction/oiledtext.json');
    main.load.json('oiledremovetext', 'assets/text/tool-reaction/oiledremovetext.json')
    main.load.json('blindfoldontext', 'assets/text/tool-reaction/blindfoldontext.json');
    main.load.json('blindfoldofftext', 'assets/text/tool-reaction/blindfoldofftext.json');
    main.load.json('gaggedtext', 'assets/text/tool-reaction/gaggedtext.json');
    main.load.json('ungaggedtext', 'assets/text/tool-reaction/ungaggedtext.json');
    main.load.json('usetoothbrushtext', 'assets/text/tool-reaction/usetoothbrushtext.json');
    main.load.json('usewandtext', 'assets/text/tool-reaction/usewandtext.json');

    main.load.json('laughtext1', 'assets/text/tickle/hands/laughtext1.json');
    main.load.json('laughtext2', 'assets/text/tickle/hands/laughtext2.json');
    main.load.json('laughtext3', 'assets/text/tickle/hands/laughtext3.json');
    main.load.json('laughtext4', 'assets/text/tickle/hands/laughtext4.json');
    main.load.json('laughtext5', 'assets/text/tickle/hands/laughtext5.json');

    main.load.json('reactiontext1', 'assets/text/tickle/hands/reactiontext1.json');
    main.load.json('reactiontext2', 'assets/text/tickle/hands/reactiontext2.json');
    main.load.json('reactiontext3', 'assets/text/tickle/hands/reactiontext3.json');
    main.load.json('reactiontext4', 'assets/text/tickle/hands/reactiontext4.json');
    main.load.json('reactiontext5', 'assets/text/tickle/hands/reactiontext5.json');

    main.load.json('brush_laughtext1', 'assets/text/tickle/brush/laughtext1.json');
    main.load.json('brush_laughtext2', 'assets/text/tickle/brush/laughtext2.json');
    main.load.json('brush_laughtext3', 'assets/text/tickle/brush/laughtext3.json');
    main.load.json('brush_laughtext4', 'assets/text/tickle/brush/laughtext4.json');
    main.load.json('brush_laughtext5', 'assets/text/tickle/brush/laughtext5.json');
    main.load.json('brush_reactiontext1', 'assets/text/tickle/brush/reactiontext1.json');
    main.load.json('brush_reactiontext2', 'assets/text/tickle/brush/reactiontext2.json');
    main.load.json('brush_reactiontext3', 'assets/text/tickle/brush/reactiontext3.json');
    main.load.json('brush_reactiontext4', 'assets/text/tickle/brush/reactiontext4.json');
    main.load.json('brush_reactiontext5', 'assets/text/tickle/brush/reactiontext5.json');

    main.load.json('feather_laughtext1', 'assets/text/tickle/feather/laughtext1.json');
    main.load.json('feather_laughtext2', 'assets/text/tickle/feather/laughtext2.json');
    main.load.json('feather_laughtext3', 'assets/text/tickle/feather/laughtext3.json');
    main.load.json('feather_laughtext4', 'assets/text/tickle/feather/laughtext4.json');
    main.load.json('feather_laughtext5', 'assets/text/tickle/feather/laughtext5.json');
    main.load.json('feather_reactiontext1', 'assets/text/tickle/feather/reactiontext1.json');
    main.load.json('feather_reactiontext2', 'assets/text/tickle/feather/reactiontext2.json');
    main.load.json('feather_reactiontext3', 'assets/text/tickle/feather/reactiontext3.json');
    main.load.json('feather_reactiontext4', 'assets/text/tickle/feather/reactiontext4.json');
    main.load.json('feather_reactiontext5', 'assets/text/tickle/feather/reactiontext5.json');

    main.load.json('toothbrush_laughtext1', 'assets/text/tickle/toothbrush/laughtext1.json');
    main.load.json('toothbrush_laughtext2', 'assets/text/tickle/toothbrush/laughtext2.json');
    main.load.json('toothbrush_laughtext3', 'assets/text/tickle/toothbrush/laughtext3.json');
    main.load.json('toothbrush_laughtext4', 'assets/text/tickle/toothbrush/laughtext4.json');
    main.load.json('toothbrush_laughtext5', 'assets/text/tickle/toothbrush/laughtext5.json');
    main.load.json('toothbrush_reactiontext1', 'assets/text/tickle/toothbrush/reactiontext1.json');
    main.load.json('toothbrush_reactiontext2', 'assets/text/tickle/toothbrush/reactiontext2.json');
    main.load.json('toothbrush_reactiontext3', 'assets/text/tickle/toothbrush/reactiontext3.json');
    main.load.json('toothbrush_reactiontext4', 'assets/text/tickle/toothbrush/reactiontext4.json');
    main.load.json('toothbrush_reactiontext5', 'assets/text/tickle/toothbrush/reactiontext5.json');

    //Arousal mode text:
    main.load.json('idletext1c', 'assets/text/idle/idletext1c.json');
    main.load.json('idletext2c', 'assets/text/idle/idletext2c.json');
    main.load.json('idletext3c', 'assets/text/idle/idletext3c.json');

    main.load.json('teasetext1c', 'assets/text/default/teasetext1c.json');
    main.load.json('teasetext2c', 'assets/text/default/teasetext2c.json');
    main.load.json('teasetext3c', 'assets/text/default/teasetext3c.json');

    main.load.json('massagetext1', 'assets/text/massage/hands/massagetext1.json');
    main.load.json('massagetext2', 'assets/text/massage/hands/massagetext2.json');
    main.load.json('massagetext3', 'assets/text/massage/hands/massagetext3.json');
    main.load.json('reactiontext1c', 'assets/text/massage/hands/reactiontext1c.json');
    main.load.json('reactiontext2c', 'assets/text/massage/hands/reactiontext2c.json');
    main.load.json('reactiontext3c', 'assets/text/massage/hands/reactiontext3c.json');
    main.load.json('reactiontext1cd', 'assets/text/massage/hands/reactiontext1c-desperate.json');
    main.load.json('reactiontext1ca', 'assets/text/massage/hands/reactiontext1c-annoyed.json');
    
    main.load.json('tongue_massagetext1', 'assets/text/massage/tongue/massagetext1.json');
    main.load.json('tongue_massagetext2', 'assets/text/massage/tongue/massagetext2.json');
    main.load.json('tongue_massagetext3', 'assets/text/massage/tongue/massagetext3.json');
    main.load.json('tongue_reactiontext1c', 'assets/text/massage/tongue/reactiontext1c.json');
    main.load.json('tongue_reactiontext2c', 'assets/text/massage/tongue/reactiontext2c.json');
    main.load.json('tongue_reactiontext3c', 'assets/text/massage/tongue/reactiontext3c.json');
    main.load.json('tongue_reactiontext1cd', 'assets/text/massage/tongue/reactiontext1c-desperate.json');
    main.load.json('tongue_reactiontext1ca', 'assets/text/massage/tongue/reactiontext1c-annoyed.json');

    main.load.json('wand_massagetext1', 'assets/text/massage/wand/massagetext1.json');
    main.load.json('wand_massagetext2', 'assets/text/massage/wand/massagetext2.json');
    main.load.json('wand_massagetext3', 'assets/text/massage/wand/massagetext3.json');
    main.load.json('wand_reactiontext1c', 'assets/text/massage/wand/reactiontext1c.json');
    main.load.json('wand_reactiontext2c', 'assets/text/massage/wand/reactiontext2c.json');
    main.load.json('wand_reactiontext3c', 'assets/text/massage/wand/reactiontext3c.json');
    main.load.json('wand_reactiontext1cd', 'assets/text/massage/wand/reactiontext1c-desperate.json');
    main.load.json('wand_reactiontext1ca', 'assets/text/massage/wand/reactiontext1c-annoyed.json');

    main.load.json('reactiontext1ct', 'assets/text/massage/tickle-reaction/reactiontext1c-tickled.json');
    main.load.json('reactiontext2ct', 'assets/text/massage/tickle-reaction/reactiontext2c-tickled.json');
}

function loadTools() {
    main.load.image('brush', 'assets/tools/brush.png');
    main.load.spritesheet('feather', 'assets/tools/feather.png', {frameWidth: 100, frameHeight: 200});
    main.load.spritesheet('toothbrush', 'assets/tools/toothbrush.png', {frameWidth: 85, frameHeight: 225});
    main.load.spritesheet('wand', 'assets/tools/wand.png', {frameWidth: 95, frameHeight: 215});
    main.load.spritesheet('tongue', 'assets/tools/tongue.png', {frameWidth: 55, frameHeight: 55});
}