const gagLetterMap = new Map([
  ["a", "ua"],
  ["b", "bh"],
  ["c", "gh"],
  ["d", "d"],
  ["e", "eh"],
  ["f", "f"],
  ["g", "gh"],
  ["h", "h"],
  ["i", "e"],
  ["j", "ng"],
  ["k", "g"],
  ["l", "lh"],
  ["m", "m"],
  ["n", "n"],
  ["o", "oh"],
  ["p", "ph"],
  ["q", "g"],
  ["r", "r"],
  ["s", "th"],
  ["t", "th"],
  ["u", "uh"],
  ["v", "f"],
  ["w", "w"],
  ["x", "gh"],
  ["y", "y"],
  ["z", "ph"],
  ["A", "UA"],
  ["B", "BH"],
  ["C", "GH"],
  ["D", "D"],
  ["E", "EH"],
  ["F", "F"],
  ["G", "GH"],
  ["H", "H"],
  ["I", "E"],
  ["J", "NG"],
  ["K", "G"],
  ["L", "LH"],
  ["M", "M"],
  ["N", "N"],
  ["O", "OH"],
  ["P", "PH"],
  ["Q", "G"],
  ["R", "R"],
  ["S", "TH"],
  ["T", "TH"],
  ["U", "UH"],
  ["V", "F"],
  ["W", "W"],
  ["X", "GH"],
  ["Y", "Y"],
  ["Z", "PH"],
  ['\'', "~"]
]);

//Function for returning a random laugh line from laugh arrays
function getRandomLaugh(laughType) {
  let index;
  try {
    //If initial time tickling, set a special speech line to be displayed
    let selectedLaugh = '';
    if (givenBreak) {
      index = Phaser.Math.Between(0, laughType.surprisedSpeech.length - 1);
      selectedLaugh = laughType.surprisedSpeech[index]

    }
    //Else set a normal laugh to be displayed
    else {
      index = Phaser.Math.Between(0, laughType.defaultSpeech.length - 1);
      selectedLaugh = laughType.defaultSpeech[index];
    }
    return gagged ? convertToGagspeak(selectedLaugh) : selectedLaugh;
  } catch (e) {
    let selectedLaugh = laughType.defaultSpeech[0];
    return gagged ? convertToGagspeak(selectedLaugh) : selectedLaugh;
  }
}

//Function for returning a random line of speech from speech arrays
function getRandomText(textType) {
  let selectedText = '';
  if (aroused && textType.hasOwnProperty('arousedSpeech')) {
    let index = Phaser.Math.Between(0, textType.arousedSpeech.length - 1);
    selectedText = textType.arousedSpeech[index];
  }
  else if (maxPleasure > 1500 && textType.hasOwnProperty('flusteredSpeech')) {
    let index = Phaser.Math.Between(0, textType.flusteredSpeech.length - 1);
    selectedText = textType.flusteredSpeech[index];
  }
  else if (toetied && textType.hasOwnProperty('toetiedSpeech') && Phaser.Math.Between(0, 100) >= 50) {
    let index = Phaser.Math.Between(0, textType.toetiedSpeech.length - 1);
    selectedText = textType.toetiedSpeech[index];
  }
  else if (oiled && textType.hasOwnProperty('oiledSpeech') && Phaser.Math.Between(0, 100) >= 50) {
    let index = Phaser.Math.Between(0, textType.oiledSpeech.length - 1);
    selectedText = textType.oiledSpeech[index]
  }
  else {
    let index = Phaser.Math.Between(0, textType.defaultSpeech.length - 1);
    selectedText = textType.defaultSpeech[index];
  }

  return gagged ? convertToGagspeak(selectedText) : selectedText;
}

//Function to convert text to gagspeak
function convertToGagspeak(text) {
  let gagText = '';
  for (let i = 0; i < text.length; i++) {
    let char = text.charAt(i);
    if (gagLetterMap.has(char) && gagLetterMap.get(char).length < 2) {
      gagText += gagLetterMap.get(char);
    }
    else if(gagLetterMap.has(char) && gagLetterMap.get(char).length >= 2) {
      if ((i + 1) < text.length && text.charAt(i + 1) === char) {
        gagText += gagLetterMap.get(char).charAt(0);
      }
      else {
        gagText += gagLetterMap.get(char);
      }
    }
    else {
      gagText += char;
    }
  }
  return gagText;
}

//Function to update currText buffer based on desperation
function updateLaugh() {
  if (mode == 'tickle') {
    if (broken) {
      currLaugh = getRandomLaugh(laughtext4);
    }
    else if (aroused) {
      currLaugh = getRandomLaugh(laughtext5);
    }
    else if (desperation < 1500) {
      currLaugh = getRandomLaugh(laughtext1);
    }
    else if (desperation < 3000) {
      currLaugh = getRandomLaugh(laughtext2);
    }
    else {
      currLaugh = getRandomLaugh(laughtext3);
    }
  }
  else {
    if (aroused) {
      currLaugh = getRandomLaugh(massagetext3);
    }
    else if (maxPleasure > 1500) {
      currLaugh = getRandomLaugh(massagetext2);
    } 
    else {
      currLaugh = getRandomLaugh(massagetext1);
    }
  }
}
