  //Function to update game when in 'tickle' mode
function tickleUpdate() {
    //If pointer on foot and is moving, start displaying laugh and call tickleFoot handler function
    let isTicklingLeft = leftTickled && (Math.abs(dx) > 1 || Math.abs(dy) > 1 || tool === 'toothbrush');
    let isTicklingRight = rightTickled && (Math.abs(dx) > 1 || Math.abs(dy) > 1 || tool === 'toothbrush');
    let isTeasing =
      (leftTickled &&
        (Math.abs(dx) <= 1 || Math.abs(dy) <= 1) &&
        !teaseTimerSet) ||
      (rightTickled &&
        (Math.abs(dx) <= 1 || Math.abs(dy) <= 1) &&
        !teaseTimerSet);
    if (isTicklingLeft) {
      let feetAnims = getTickleFeetAnims('tickleLeft', 'scrunchLeft');
      tickleFoot(leftFoot, leftCenter, rightFoot, rightCenter, rightFootIdleDirection, feetAnims[1], feetAnims[0]);
    }
    else if (isTicklingRight) {
      let feetAnims = getTickleFeetAnims('tickleRight', 'scrunchRight');
      tickleFoot(rightFoot, rightCenter, leftFoot, leftCenter, leftFootIdleDirection, feetAnims[1], feetAnims[0]);
    }
    //If pointer is stationary on a foot and was previously being tickled, start timer to determine if pointer is truly stationary
    //If so, display tease reaction and corresponding speech line
    else if (isTeasing) {
      let leftAnim = getTickleFeetAnims('', 'scrunchLeft')[1];
      let rightAnim = getTickleFeetAnims('', 'scrunchRight')[1];
      scrunchFoot(leftAnim, rightAnim);
    }
    //If pointer is stationary on foot, and was previously stationary, play idle animation
    else if (leftTickled) {
      if (still) {
        vibrateObject(leftFoot, leftCenter);
      }
      if (!toetied) {
        rotateObject(rightFoot, rightCenter, .0003, idleCollided, rightFootIdleDirection, 5, 100);
        rotateObject(upperContainer, upperCenter, .00005, idleCollided, idleDirection, 1, 200);
      }
    }
    else if (rightTickled) {
      if (still) {
        vibrateObject(rightFoot, rightCenter);
      }
      if (!toetied) {
        rotateObject(leftFoot, leftCenter, .0003, idleCollided, leftFootIdleDirection, 5, 100);
        rotateObject(upperContainer, upperCenter, .00005, idleCollided, idleDirection, 1, 200);
      }
    }
    //Else, pointer is not on foot and is not being tickled
    else if (givenBreak){
      if (laughAnimPlaying) {
        removeFaceAnims();
        laughAnimPlaying = false;
      }
      teaseTimer.remove();
      wasTeased = false;
      tickleState1 = false;
      tickleState2 = false;
      speechText.setFontSize(21);
      speechText.setColor('#960018');
      //Remove desperation over time
      if (desperation > 0) {
        desperation -= 2;
      }
      if (pleasure > 0) {
        pleasure -= 2;
      }

      if (desperation > 1301 && !tiredFootAnimPlaying) {
        tiredFootAnimPlaying = true;
        if (!toetied && !oiled) {
          leftFoot.anims.play('tiredLeftIdle');
          rightFoot.anims.play('tiredRightIdle');
        }
        else if (!toetied && oiled) {
          leftFoot.anims.play('tiredLeftOiledIdle');
          rightFoot.anims.play('tiredRightOiledIdle');
        }
      }
      else if (desperation === 1300 || desperation === 1301) {
          tiredFootAnimPlaying = false;
          leftFootIdleAnim = generateFootIdleAnim('left');
          rightFootIdleAnim = generateFootIdleAnim('right');
          leftFoot.anims.play(leftFootIdleAnim);
          rightFoot.anims.play(rightFootIdleAnim);
      }

      if (broken && desperation > 1300) {
        speechText.setText(currBreathe);
        if (desperation >= 1300 && desperation <= 1302) {
          setTickleReactionText();
          setReactionTimer();
          updateLaugh();
        }
        if (!breatheAnimPlaying) {
          if ( tool === 'toothbrush') {
            playChainedExpression('breathe4t_transition', 'tired3_eyes', 'tired3_mouth', 18);
          }
          else if (tool === 'feather') {
            playChainedExpression('breathe4f_transition', 'tired3_eyes', 'tired3_mouth', 18);
          }
          else {
            playFullExpression('tired3_eyes', 'tired3_mouth', 18);
          }
          breatheAnimPlaying = true;
        }
      }
      else if (aroused && desperation > 1300) {
        speechText.setText(currBreathe);
        if (desperation >= 1300 && desperation <= 1302) {
          setTickleReactionText();
          setReactionTimer();
          updateLaugh();
        }
        if (!breatheAnimPlaying) {
          if ( tool === 'hands') {
            playReversedChainedExpression('breathe1a_transition', 'tired4_eyes', 'tired4_mouth', 14);
          }
          else if (tool === 'brush') {
            playReversedChainedExpression('breathe1ba_transition', 'tired4_eyes', 'tired4_mouth', 14);
          }
          else if (tool === 'feather') {
            playReversedChainedExpression('breathe1fa_transition', 'tired4_eyes', 'tired4_mouth', 14);
          }
          else if (tool === 'toothbrush') {
            playReversedChainedExpression('breathe1ta_transition', 'tired4_eyes', 'tired4_mouth', 14);
          }
          else {
            playFullExpression('tired4_eyes', 'tired4_mouth', 14);
          }
          breatheAnimPlaying = true;
        }
      }
      //If depseration is > 3000, start playing tired reaction and display corresponding text
      else if (desperation > 3000) {
        speechText.setText(currBreathe);
        if (desperation >= 3000 && desperation <= 3002) {
          updateLaugh();
          currBreathe = getRandomText(tiredtext);
          reactionTimerSet = false;
        }
        //Play breathing animation
        if (!breatheAnimPlaying) {
          if ( tool === 'hands' || tool === 'brush' || tool === 'toothbrush') {
            playChainedExpression('breathe2_transition', 'tired2_eyes', 'tired2_mouth', 14);
          }
          else {
            playFullExpression('tired2_eyes', 'tired2_mouth', 14);
          }
          breatheAnimPlaying = true;
        }
        if (desperation == 3001 || desperation == 3002) {
          breatheAnimPlaying = false;
          willBreatheTransition = true;
        }
      }
      //If desperation > 1300, start playing corresponding tired animation
      else if (desperation > 1300) {
        speechText.setText(currBreathe);
        if (desperation >= 1300 && desperation <= 1302) {
          setTickleReactionText();
          setReactionTimer();
          updateLaugh();
        }
        if ( !breatheAnimPlaying ) {
          removeFaceAnims();
          if ( willBreatheTransition || tool === 'hands' || tool === 'feather') {
            playChainedExpression('breathe1_transition', 'tired1_eyes', 'tired1_mouth', 10);
            willBreatheTransition = false;
          }
          else {
            playChainedExpression('breathe1b_transition', 'tired1_eyes', 'tired1_mouth', 10);
          }
          breatheAnimPlaying = true;
        }
      }
      //Else if desperation < 1500, play idling animations
      else {
        //Stop breathing animation
        if (breatheAnimPlaying) {
          removeFaceAnims();
          breatheAnimPlaying = false;
          idleUpperSet = false;
        }
        // Set reaction text
        if (!reactionTimerSet) {
          setTickleReactionText();
          setReactionTimer();
        }
        if (broken) {
          if (!idleAnimPlaying && !idleUpperSet) {
            playReactionChainedBoth('reaction4_begin_transition', 'reaction4_end_transition', 'reaction4_eyes', 'reaction4_mouth');
            idleUpperSet = true;
            wasTired = false;
          }
        }
        else if (aroused) {
          if (!idleAnimPlaying && !idleUpperSet) {
            if (wasTired) {
              playReactionChainedStart('reaction1a_transition', 'talking3c-3_eyes', 'talking3c-1_mouth')
            }
            else if (tool === 'hands') {
              playReversedReactionChainedStart('laughing1a_transition', 'talking3c-3_eyes', 'talking3c-2_mouth');
            }
            else if (tool === 'brush') {
              playReversedReactionChainedStart('laughing1ba_transition', 'talking3c-3_eyes', 'talking3c-3_mouth');
            }
            else if (tool === 'feather') {
              playReversedReactionChainedStart('laughing1fa_transition', 'talking3c-3_eyes', 'talking3c-2_mouth');
            }
            else if (tool === 'toothbrush') {
              playReversedReactionChainedStart('laughing1fa_transition', 'talking3c-3_eyes', 'talking3c-1_mouth');
            }
            else {
              playReactionExpression('talking3c-3_eyes', 'talking3c-1_mouth');
            }
            idleUpperSet = true;
            wasTired = false;
          }
        }
        //Idle condition 1 when maxDesperation < 1500
        else if( maxDesperation < 1500 ) {
          if ( !idleUpperSet && !idleAnimPlaying ) {
            if (maxPleasure > 1500) {
              playReactionChainedStart('reaction2c_begin_transition', 'reaction2c_eyes', 'talking2c-1_mouth');
            }
            else if (maxPleasure > 750) {
              if (tool === 'brush') {
                playReactionChainedStart('reaction1cb_begin_transition', 'reaction1c_eyes', 'reaction1c_mouth');
              }
              else if (tool === 'feather') {
                playReactionChainedStart('reaction1cf_begin_transition', 'reaction1c_eyes', 'reaction1c_mouth');
              }
              else {
                playReactionChainedStart('reaction1c_begin_transition', 'reaction1c_eyes', 'reaction1c_mouth');
              }
            }
            else {
              if (wasTired) {
                playReactionChainedBoth('reaction_close_transition', 'reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
              }
              else if (tool === 'brush' || tool === 'toothbrush') {
                playReactionChainedBoth('reaction_close_transition', 'reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
              }
              else if (tool === 'feather') {
                playReactionChainedBoth('tease1f_transition', 'reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
              }
              else {
                playReactionChainedEnd('reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
              }
              annoyed.visible = true;
            }
            idleUpperSet = true;
            wasTired = false;
          }
        }
        //Idle condition 2 when maxDesperation > 1500
        else if (maxDesperation < 3200)  {
          if (!idleAnimPlaying && !idleUpperSet) {
            if (tool === 'brush' || tool === 'toothbrush') {
              playReactionChainedBoth('reaction_close_transition', 'reaction2_end_transition', 'reaction2_eyes', 'reaction2_mouth');
            }
            else if (tool === 'feather') {
              playReactionChainedBoth('tease1f_transition', 'reaction2_end_transition', 'reaction2_eyes', 'reaction2_mouth');
            }
            else {
              if (wasTired) {
                playReactionChainedBoth('reaction_close_transition', 'reaction2_end_transition', 'reaction2_eyes', 'reaction2_mouth');
              }
              else {
                playReactionChainedEnd('reaction2_end_transition', 'reaction2_eyes', 'reaction2_mouth');
              }
            }
            wasTired = false;
            idleUpperSet = true;
          }
        }
        //Idle condition 3 when maxDesperation > 3200
        else {
          if (!idleAnimPlaying && !idleUpperSet) {
            if (tool === 'brush' || tool == 'toothbrush') {
              playReactionChainedBoth('reaction_close_transition', 'reaction3_end_transition', 'reaction3_eyes', 'reaction3_mouth');
            }
            else if (tool === 'feather') {
              playReactionChainedBoth('tease1f_transition', 'reaction3_end_transition', 'reaction3_eyes', 'reaction3_mouth');
            }
            else {
              if (wasTired) {
                playReactionChainedBoth('reaction_close_transition', 'reaction3_end_transition', 'reaction3_eyes', 'reaction3_mouth');
              }
              else {
               playReactionChainedEnd('reaction3_end_transition', 'reaction3_eyes', 'reaction3_mouth');
              }
            }
            wasTired = false;
            idleUpperSet = true;
          }
        }
        //Start playing idle speech if no reaction speech being played
        if (!(reactionTimer.getProgress() < 1)) {
          if (!idleSpeechTimerSet) {
            currQuote = '...'
            idleSpeechTimer = scene.time.addEvent(idleSpeechTimerParameters2);
            idleSpeechTimerSet = true;
          }
          speechText.setText(currQuote);
        }
      }
      //Upper body and feet idle movement
      rotateObject(upperContainer, upperCenter, .00005, shakeCollided, shakeDirection, 1, 200);
      if (!toetied) {
        rotateObject(leftFoot, leftCenter, .0003, idleCollided, leftFootIdleDirection, 5, 100);
        rotateObject(rightFoot, rightCenter, .0003, idleCollided, rightFootIdleDirection, 5, 100);
      }

      laughTimer.remove();
      laughTimerSet = false;
      reactionTimerSet = true;
    }
    //Update max desperation
    if (desperation > maxDesperation) {
      maxDesperation = desperation;
    }
  }

//Function to update game when in 'massage' mode
function massageUpdate() {
  let isMassagingLeft = leftTickled && (( Math.abs(dx) > 1 || Math.abs(dy) > 1 ) || tool === 'wand')
  let isMassagingRight = rightTickled && (( Math.abs(dx) > 1 || Math.abs(dy) > 1 ) || tool === 'wand')
  let isTeasing =
    (leftTickled &&
      (Math.abs(dx) <= 1 || Math.abs(dy) <= 1) &&
      !teaseTimerSet) ||
    (rightTickled &&
      (Math.abs(dx) <= 1 || Math.abs(dy) <= 1) &&
      !teaseTimerSet);
  //If pointer on foot and is moving, play massage reaction animation and set appropriate speech text
  if (isMassagingLeft) {
    const feetAnims = getMassageFeetAnims('rubLeft', 'rubLeftScrunch');    
    massageFoot(leftFoot, leftCenter, rightFoot, rightCenter, rightFootIdleDirection, feetAnims[0], feetAnims[1]);
  }
  else if (isMassagingRight) {
    const feetAnims = getMassageFeetAnims('rubRight', 'rubRightScrunch');    
    massageFoot(rightFoot, rightCenter, leftFoot, leftCenter, leftFootIdleDirection, feetAnims[0], feetAnims[1]);
  }
  //If pointer is stationary on a foot and was previously being tickled, start timer to determine if pointer is truly stationary
  //If so, set massage tease reaction and text
  else if (isTeasing) {
    const leftAnim = getMassageFeetAnims('', 'rubLeftScrunch')[1];
    const rightAnim = getMassageFeetAnims('', 'rubRightScrunch')[1];
    scrunchFootMassage(leftAnim, rightAnim);
  }
  //If pointer is stationary on foot, and was previously stationary, play idle animation
  else if (leftTickled && !toetied) {
    rotateObject(rightFoot, rightCenter, .0003, idleCollided, rightFootIdleDirection, 5, 100);
    rotateObject(upperContainer, upperCenter, .00005, idleCollided, idleDirection, 1, 200);
  }
  else if (rightTickled && !toetied) {
    rotateObject(leftFoot, leftCenter, .0003, idleCollided, rightFootIdleDirection, 5, 100);
    rotateObject(upperContainer, upperCenter, .00005, idleCollided, idleDirection, 1, 200);
  }
  //Else, pointer is not on foot
  else if (givenBreak) {
    if (laughAnimPlaying) {
      removeFaceAnims();
      laughAnimPlaying = false;
    }
    speechText.setFontSize(21);
    speechText.setColor('#960018');
    massageState1 = false;
    massageState2 = false;
    wasTeased = false;
    teaseTimer.remove();
    //Decrease desperation over time
    if (desperation > 0) {
      desperation -= 2;
    }
    if (pleasure > 0) {
      pleasure -= 2;
    }
    if (!reactionTimerSet) {
      setMassageReactionText();
      setReactionTimer();
    }
    if (broken) {
      if (!idleUpperSet && !idleAnimPlaying) {
        playReactionChainedBoth('reaction4c_begin_transition', 'reaction4c_end_transition', 'reaction4c_eyes', 'reaction4c_mouth');
        idleUpperSet = true;
      }
    }
    else if (aroused) {
      if (!idleUpperSet && !idleAnimPlaying) {
        playReactionExpression('talking3c-3_eyes', 'talking3c-2_mouth');
        idleUpperSet = true;
      }
    }
    else if (maxPleasure > 1500) {
      if (!idleUpperSet && !idleAnimPlaying) {
        playReactionChainedStart('reaction2c_begin_transition', 'reaction2c_eyes', 'talking2c-1_mouth');
        idleUpperSet = true;
      }
    }
    //Idle reaction 1 when maxDesperation < 1500
    else {
      if (!idleUpperSet && !idleAnimPlaying) {
        if (maxPleasure > 750) {
          if (tool === 'wand') {
            playReversedReactionChainedStart('massage1w_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
          else if (tool === 'tongue') {
            playReversedReactionChainedStart('massage1t_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
          else {
            playReactionChainedStart('reaction1c_begin_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
        }
        else if (maxDesperation >= 1500) {
          if (tool === 'wand') {
            playReversedReactionChainedStart('massage1w_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
          else if (tool === 'tongue') {
            playReversedReactionChainedStart('massage1t_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
          else {
            playReactionChainedStart('reaction1c_begin_transition', 'reaction1c_eyes', 'reaction1c_mouth');
          }
        }
        else {
          if (tool === 'wand') {
            playReactionChainedBoth('massage1w_tease_transition', 'reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
          }
          else if (tool === 'tongue') {
            playReactionChainedBoth('massage1t_tease_transition', 'reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
          }
          else {
            playReactionChainedEnd('reaction1_end_transition', 'reaction1_eyes', 'reaction1_mouth');
          }
          annoyed.visible = true;
        }
        idleUpperSet = true;
      }
    }
    //If no reaction text being played, start displaying idle speech
    if (!(reactionTimer.getProgress() < 1)) {
      if (!idleSpeechTimerSet) {
        currQuote = '...'
        idleSpeechTimer = scene.time.addEvent(idleSpeechTimerParameters2);
        idleSpeechTimerSet = true;
      }
      speechText.setText(currQuote);
    }
    //Play idling animations
    rotateObject(upperContainer, upperCenter, .00005, shakeCollided, shakeDirection, 1, 200);
    if (!toetied) {
      rotateObject(leftFoot, leftCenter, .0003, idleCollided, leftFootIdleDirection, 5, 100);
      rotateObject(rightFoot, rightCenter, .0003, idleCollided, rightFootIdleDirection, 5, 100);
    }
    reactionTimerSet = true;
    laughTimer.remove();
    laughTimerSet = false;
  }
  if (pleasure > maxPleasure) {
    maxPleasure = pleasure;
  }
}

function setReactionTimer() {
  reactionTimer = scene.time.addEvent({
    delay: 3000,
    callback: function() {
      speechText.setText('...');
    },
    callbackScope: scene
  });
}

function getTickleFeetAnims(tickleAnim, scrunchAnim) {
  if (toetied && oiled && desperation < 800) {
    desperation = 800;
  }

  if (toetied) {
    tickleAnim += 'Tied';
    scrunchAnim += 'Tied';
  }
  else if (tool === 'toothbrush') {
    tickleAnim += 'Toothbrush';
  } 
  else if (tool === 'brush') {
    tickleAnim += 'Brush';
  }
  else if (tool === 'feather') {
    tickleAnim += 'Feather'
  }

  if (oiled) {
    tickleAnim += 'Oiled';
    scrunchAnim += 'Oiled';
  }
  
  return [tickleAnim, scrunchAnim];
}

function getMassageFeetAnims(rubAnim, scrunchAnim) {
  if (toetied) {
    rubAnim += 'Tied';
    scrunchAnim += 'Tied';
  }
  else if (tool === 'wand') {
    rubAnim += 'Wand';
  }
  else if (tool === 'tongue') {
    rubAnim += 'Tongue';
  }

  if (oiled) {
    rubAnim += 'Oiled';
    scrunchAnim += 'Oiled'
  }

  return [rubAnim, scrunchAnim];
}

function setTickleReactionText() {
  if (broken) {
    speechText.setText(getRandomText(reactiontext4));
  }
  else if (aroused) {
    speechText.setText(getRandomText(reactiontext5));
  }
  else if (maxDesperation >= 3200) {
    speechText.setText(getRandomText(reactiontext3));
  }
  else if (maxDesperation >= 1500) {
    speechText.setText(getRandomText(reactiontext2));
  }
  else {
    if (maxPleasure >= 1500) {
      speechText.setText(getRandomText(reactiontext2ct));
    }
    else if (maxPleasure > 750) {
      speechText.setText(getRandomText(reactiontext1ct));
    }
    else {
      speechText.setText(getRandomText(reactiontext1));
    }
  }
}

function setMassageReactionText() {
  if (broken) {
    speechText.setText('... ...');
  }
  else if (aroused) {
    speechText.setText(getRandomText(reactiontext3c));
  }
  else if (maxPleasure > 1500) {
    speechText.setText(getRandomText(reactiontext2c));
  }
  else if (maxPleasure > 750) {
    speechText.setText(getRandomText(reactiontext1c));
  }
  else {
    if (maxDesperation >= 1500) {
      speechText.setText(getRandomText(reactiontext1cd));
    }
    else {
      speechText.setText(getRandomText(reactiontext1ca));
    }
  }
}


